use equis_dsp::DSPState;
use triple_buffer::{Input, Output, TripleBuffer};

pub type StateReader = Output<DSPState>;
pub type StateWriter = Input<DSPState>;

pub fn state_reader_writer_pair() -> (StateWriter, StateReader) {
    TripleBuffer::new(&DSPState::default()).split()
}
